//
//	CCameraMover.h
//
//	class CCameraMover
//	Moves a camera given changes in spherical coordinate values.
//
//	by James Jennings
//	November 26, 1995
//
//	Limitations: Cannot get within a few degrees of the z-axis. (to avoid singular math)
//

#pragma once

class CCameraMover {
public:
				CCameraMover(TQ3ViewObject aView);
	virtual		~CCameraMover();
	
	virtual void	Move(float deltaTheta, float deltaPhi);
protected:
	virtual void	AdjustUpVector();
	TQ3CameraObject		mCamera;
	TQ3CameraPlacement	mPlacement;
	TQ3SphericalPoint	mLocation;
};
