//
//	CQ3BoxesPane.h
//
//	class CQ3BoxesPane
//	A Pane for rendering 4 boxes in a QuickDraw 3D view.
//	Borrowed heavily from the "START HERE" sample code from Apple.
//
//	by James Jennings
//	November 22, 1995
//

#pragma once

#include "CQD3DPane.h"

class CQ3BoxesPane : public CQD3DPane, LPeriodical {
public:
	enum { class_ID = '4Box' };
	static CQ3BoxesPane*	CreateQ3BoxesPaneStream(LStream *inStream);
	
					CQ3BoxesPane();
					CQ3BoxesPane(const CQ3BoxesPane &inOriginal);		
					CQ3BoxesPane(LStream *inStream);
	virtual			~CQ3BoxesPane();
	virtual void	FinishCreateSelf();
protected:
	// Override to build a custom view.
	virtual void	MakeCamera();
	virtual void	MakeLightGroup();
	
	virtual void	MakeModel();
protected:
	virtual TQ3Status	SubmitScene();
public:
	// LPeriodical methods
	virtual	void	SpendTime( const EventRecord &inMacEvent);
protected:
	TQ3Matrix4x4	mRotation;				// the transform for the model	
};
